Bug 1907367 - python-arrow fails to build with Python 3.10: FAIL Required test coverage of 100% not reached. Total coverage: 99.91%
Summary: python-arrow fails to build with Python 3.10: FAIL Required test coverage of ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-arrow
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-12-14 10:52 UTC by Tomáš Hrnčiar
Modified: 2021-01-25 04:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-20 13:04:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2020-12-14 10:52:45 UTC
python-arrow fails to build with Python 3.10.0a3.

FAIL Required test coverage of 100% not reached. Total coverage: 99.91%

============================= 414 passed in 6.37s ==============================
error: Bad exit status from /var/tmp/rpm-tmp.MODKwm (%check)
    Bad exit status from /var/tmp/rpm-tmp.MODKwm (%check)

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01826140-python-arrow/

For all our attempts to build python-arrow with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-arrow/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Tomáš Hrnčiar 2021-01-20 09:10:58 UTC
Hello, is there any update on this? It blocks testing of 8 other packages (fedmsg, datagrepper, gitlint, bodhi, oraculum, fedpkg, packit, python-jinja2-time) with Python 3.10. Thank you.

Comment 2 Pierre-YvesChibon 2021-01-20 13:04:30 UTC
Fixed in git, I've just drop the requirement on a certain coverage from the tox.ini

Comment 3 Kevin Fenzi 2021-01-25 04:09:17 UTC
Clearing needinfo


Note You need to log in before you can comment on or make changes to this bug.